On Jun 11, 2009, at 06:27, Roger Pack wrote:

> For some reason I've never had success with ri + gems
>
> ex:
> rdp@li49-39:~$ gem install eventmachine
> Successfully installed eventmachine-0.12.8
> Installing ri documentation for eventmachine-0.12.8...
> rdp@li49-39:~$ ri EventMachine
> No ri documentation found in:
>
> Was rdoc run to create documentation?
> [...]
>
> shouldn't it have picked up the ri from the gem just installed?
> Just wondering if this is a bug.

Depending on your ruby and RDoc version, ri may not pick up RubyGems  
paths.  Try installing RDoc 2.